futhark-server-1.2.3.0: Client implementation of the Futhark server protocol.

Safe Haskell | None
Language | Haskell2010

Futhark.Server.Values

Description

Convenience functions built on top of Futhark.Data and Futhark.Server for passing non-opaque values in and out of a server instance.

Synopsis

- getValue :: Server -> VarName -> IO (Either Text Value)
- putValue :: Server -> VarName -> Value -> IO (Maybe CmdFailure)

# Documentation

getValue :: Server -> VarName -> IO (Either Text Value) Source #

Retrieve a non-opaque value from the server.

putValue :: Server -> VarName -> Value -> IO (Maybe CmdFailure) Source #

Store a non-opaque value in the server. A variable with the given name must not already exist (use `cmdFree` to free it first if necessary).